Loading...
Searching...
No Matches
Ogre::ProcessNameExclusionScriptCompilerEvent Class Reference
Core » Script

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::ProcessNameExclusionScriptCompilerEvent:
[legend]

## Public Member Functions

| ProcessNameExclusionScriptCompilerEvent (const String &cls, AbstractNode *parent)
Public Member Functions inherited from Ogre::ScriptCompilerEvent
| ScriptCompilerEvent (const String &type)
virtual | ~ScriptCompilerEvent ()

## Public Attributes

String | mClass
AbstractNode * | mParent
Public Attributes inherited from Ogre::ScriptCompilerEvent
String | mType

## Static Public Attributes

static String | eventType

## Constructor & Destructor Documentation

## ProcessNameExclusionScriptCompilerEvent()

Ogre::ProcessNameExclusionScriptCompilerEvent::ProcessNameExclusionScriptCompilerEvent | ( | const String & | cls,
|  | AbstractNode * | parent )

inline

References Ogre::ScriptCompilerEvent::ScriptCompilerEvent(), eventType, mClass, and mParent.

## Member Data Documentation

## mClass

String Ogre::ProcessNameExclusionScriptCompilerEvent::mClass

Referenced by ProcessNameExclusionScriptCompilerEvent().

## mParent

AbstractNode* Ogre::ProcessNameExclusionScriptCompilerEvent::mParent

Referenced by ProcessNameExclusionScriptCompilerEvent().

## eventType

String Ogre::ProcessNameExclusionScriptCompilerEvent::eventType

static

Referenced by ProcessNameExclusionScriptCompilerEvent().

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h